; homeall.g
; called to home all axes
;

; BLTouch
M280 P0 S160           ; Precautionary alarm release
M280 P0 S90            ; Ensure the pin is raised

G91                       ; relative positioning
G1 H2 Z2 F10800           ; lift Z relative to current position
G1 H1 X-625 F1800          ; move quickly to X axis endstop and stop there (first pass)
G1 H2 X10 F6000           ; go back a few mm
G1 H1 X-625 F256          ; move slowly to X axis endstop once more (second pass)
G90                       ; absolute positioning
G1 X10 F6000              ; move forward 10mm 

G91                       ; relative positioning
G1 H2 Z2 F10800           ; lift Z relative to current position
G1 H1 Y625 F1800          ; move quickly to Y axis endstop and stop there (first pass)
G1 Y-10 F6000             ; go back a few mm
G1 H1 Y625 F256           ; move slowly to Y axis endstop once more (second pass)
G90                       ; absolute positioning
G1 Y10 F6000              ; move forward 10 mm

G91                       ; relative positioning
G1 H2 Z5 F10800           ; lift Z relative to current position
G90                       ; absolute positioning
G1 X275 Y250 F10800       ; go to first probe point
G30                       ; home Z by probing the bed

G1 Z10 F100               ; lift Z relative to current position
G90                       ; absolute positioning

G29 S1 P"heightmap.csv"   ; load weightmap


